/*
Copyright 2010-2012 Sergey Levin


This file is part of crosti.

Crosti is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Crosti is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with crosti.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef MESSAGE_H
#define MESSAGE_H

#include <QtGui>

//------------------------------------------------------------------------------
//---ТЕСТ РУССКИХ БУКВ
//------------------------------------------------------------------------------


class Message:public QObject
{
    private:
     QWidget *parent;
     QString appname;
     QList<QLabel*>labelList;
     static QString* _dataPath;

    public:
     Message(QWidget *wdg,QString name):parent(wdg),
       appname(name),
       labelList()
     {}
     ~Message();

     void setParent(QWidget *wdg){parent=wdg;}
     void setAppname(const QString &name){appname=name;}
     static void setDataPath(const QString &path){
       if(!_dataPath)
         _dataPath=new QString(path);
     }
     static QString dataPath(){return *_dataPath;}


     void messageSplash(QString msgstr,int delay=4000);


      void message(QString msgstr)const{message(parent,appname,msgstr);}
      void message(float val)const{message(parent,appname,QString::number(val));}
      void warning(QString msgstr)const{warning(parent,appname,msgstr);}
      void warningFNF(QString msgstr)const{warningFNF(parent,appname,msgstr);}

       static void message(QWidget *parent,QString namestr,QString msgstr){QMessageBox::information(parent,namestr,msgstr);}
       static void warning(QWidget *parent,QString namestr,QString msgstr){QMessageBox::warning(parent,namestr,msgstr);}
       static void warningFNF(QWidget *parent,QString namestr,QString msgstr){QMessageBox::warning(parent,namestr,QObject::trUtf8("Файл не найден! - ")+msgstr);}

       static QString colorSign(int i);
};

#endif
